import javafx.scene.paint.Color;
import javafx.scene.canvas.GraphicsContext;
public class Triangle implements Drawable
{
    private final Color color;
    private final double xCenter;
    private final double yCenter;
    private final double size;
    public Triangle(Color color, double xCenter, double yCenter, double size)
    {
        this.color = color;
        this.xCenter = xCenter;
        this.yCenter = yCenter;
        this.size = size;
    }
    public void draw(GraphicsContext pen)
    {
        //draw myself
        pen.setFill(color);
        pen.beginPath();
        pen.moveTo(xCenter,  yCenter - size/Math.sqrt(3));
        pen.lineTo(xCenter - size/2, yCenter + size/(2*Math.sqrt(3)));
        pen.lineTo(xCenter + size/2, yCenter + size/(2*Math.sqrt(3)));
        pen.closePath();
        pen.fill();
    }
}
